program YODA;
 var s:array [1..255] of string;
     i,k:byte;
     s1:string;
 begin
  i:=1;
  repeat
   read(s[i]);
   i:=i+1;
  until EOLn;
  for k:=1 to i div 2 do begin
   s1:=s[k];
   s[k]:=s[i-k+1];
    s[i-k+1]:=s1;
  end;
  for k:=1 to i do write(s[i],' ');
 end.












